DatumPlaneBuilder Class

class NXOpen.Features.DatumPlaneBuilder

Bases: NXOpen.Features.DatumBuilder

Represents a datum plane feature builder.

Provides methods to create datum planes thru three points, point and direction and point on curve To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateDatumPlaneBuilder()

New in version NX3.0.0.

Properties

Property Description
OffsetInstance Returns or sets the offset instance plane flag
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
ResizeDuringUpdate Returns or sets the resize during update
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CreateConstraint Creates a new empty constraint object.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetConstraints Gets the contraint objects that define the positioning of this datum.
GetDatum The datum display object this is the feature output
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
GetPlane The plane is use to create the feature
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetConstraints Sets the contraint objects that define the positioning of this datum.
SetCornerPoints Sets corner points to builder
SetFaceAndOffset Sets one face object and offset
SetFixedDatumPlane Sets type of fixed datum plane.
SetGeometryAndConstraints Sets two different geometric objects.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetPointAndDirection Sets point and direction
SetPointOnCurve Sets curve or edge and arc length
SetThreePoints Sets three different points.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
UpdateFeature Update the feature if the feature does not exist then create it
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

DatumPlaneBuilderAlternateSolution Enumeration Specifies the alternate solution for a datum plane using point on curve method
DatumPlaneBuilderConstraintType Enumeration Specifies different constraint types of selected geometries
DatumPlaneBuilderCurveOption Enumeration Specifies the distance on the curve as absolute distance or relative distance as percentage
DatumPlaneBuilderFixedType Enumeration Specifies the fixed type datum plane going thru only one specific plane or thru all planes
DatumPlaneBuilderUseArcLength Enumeration Specifies points for which arclength is to be used.

Property Detail

OffsetInstance

DatumPlaneBuilder.OffsetInstance

Returns or sets the offset instance plane flag

-------------------------------------

Getter Method

Signature OffsetInstance

Returns:offset instance
Return type:bool

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OffsetInstance

Parameters:offsetInstance (bool) – offset instance

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

ResizeDuringUpdate

DatumPlaneBuilder.ResizeDuringUpdate

Returns or sets the resize during update

-------------------------------------

Getter Method

Signature ResizeDuringUpdate

Returns:resize during update
Return type:bool

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

-------------------------------------

Setter Method

Signature ResizeDuringUpdate

Parameters:resize (bool) – resize during update

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

Method Detail

GetDatum

DatumPlaneBuilder.GetDatum

The datum display object this is the feature output

Signature GetDatum()

Returns:
Return type:NXOpen.DatumPlane

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR insp_programming (“INSPECTION PROGRAMMING”)

GetPlane

DatumPlaneBuilder.GetPlane

The plane is use to create the feature

Signature GetPlane()

Returns:
Return type:NXOpen.Plane

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

SetCornerPoints

DatumPlaneBuilder.SetCornerPoints

Sets corner points to builder

Signature SetCornerPoints(corner1, corner2, corner3, corner4)

Parameters:

New in version NX7.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

SetFaceAndOffset

DatumPlaneBuilder.SetFaceAndOffset

Sets one face object and offset

Signature SetFaceAndOffset(face, offsetValue, expression)

Parameters:
  • face (NXOpen.Face) – Face object
  • offsetValue (float) – Offset double parameter
  • expression (str) – Offset string parameter

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

SetFixedDatumPlane

DatumPlaneBuilder.SetFixedDatumPlane

Sets type of fixed datum plane.

Signature SetFixedDatumPlane(type)

Parameters:type (NXOpen.Features.DatumPlaneBuilderFixedType) – Indicates fixed datum plane type

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

SetGeometryAndConstraints

DatumPlaneBuilder.SetGeometryAndConstraints

Sets two different geometric objects.

Possible combinations are:

  • If first constrain is Through Datum Axis, then the second contraint can be:
  • Through Axis Through Edge
  • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Solid Edge and Linear Geometry, then the second contraint can be:
  • Through Axis Through Edge
  • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Face Axis, then the second contraint can be:
  • Through Axis Through Edge
  • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Point, then the second contraint can be:
  • Through Axis Through Edge
  • Linear Geometry Parallel to Plane Perpendicular to Curve

Parallel to Surface’s Tangent Plane

  • If first constrain is Angle to Plane, then the second contraint can be:
  • Through Axis Through Edge
  • Linear Geometry Through Face Axis
  • If first constrain is Tangent to Face, then the second contraint can be:
  • Through Point Angle to Plane
  • 0 Deg Angle to Plane
  • 90 Deg Tangent to Face
  • If first constrain is Through Curve, then the second contraint can be:
  • Through Point Perpendicular to View Plane

Signature SetGeometryAndConstraints(geometry1, geometryConstraintType1, constraintAttribute1, constraintValue1, constraint1, geometry2, geometryConstraintType2, constraintAttribute2, constraintValue2, constraint2)

Parameters:
  • geometry1 (NXOpen.DisplayableObject) – First geometric object
  • geometryConstraintType1 (NXOpen.Features.DatumPlaneBuilderConstraintType) – Constraint type of first geometry
  • constraintAttribute1 (int) – Constraint attribute value of first geometry
  • constraintValue1 (float) – Constraint value parameter of first geometry
  • constraint1 (str) – Constraint attached with first geometric object. Set to “0.0” in case value is not specified
  • geometry2 (NXOpen.DisplayableObject) – Second geometric object
  • geometryConstraintType2 (NXOpen.Features.DatumPlaneBuilderConstraintType) – Constraint type of first geometry
  • constraintAttribute2 (int) – Constraint attribute value of second geometry
  • constraintValue2 (float) – Constraint value parameter of second geometry
  • constraint2 (str) – Constraint attached with second geometric object. Set to “0.0” in case value is not specified

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

SetPointAndDirection

DatumPlaneBuilder.SetPointAndDirection

Sets point and direction

Signature SetPointAndDirection(point, direction)

Parameters:

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

SetPointOnCurve

DatumPlaneBuilder.SetPointOnCurve

Overloaded method SetPointOnCurve

  • SetPointOnCurve(arcLength, constraint, alternateSolution, option, curve)
  • SetPointOnCurve(arcLength, constraint, alternateSolution, option, curve, direction)
  • SetPointOnCurve(arcLength, constraint, option, curve, secondGeometry)

-------------------------------------

Sets curve or edge and arc length

Signature SetPointOnCurve(arcLength, constraint, alternateSolution, option, curve)

Parameters:

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

-------------------------------------

Sets curve or edge and arc length

Signature SetPointOnCurve(arcLength, constraint, alternateSolution, option, curve, direction)

Parameters:

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

-------------------------------------

Sets curve or edge object and arc length with other geometry selected.

Signature SetPointOnCurve(arcLength, constraint, option, curve, secondGeometry)

Parameters:

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

-------------------------------------

SetThreePoints

DatumPlaneBuilder.SetThreePoints

Sets three different points.

Signature SetThreePoints(point1, point2, point3, useArcLength)

Parameters:

New in version NX3.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

UpdateFeature

DatumPlaneBuilder.UpdateFeature

Update the feature if the feature does not exist then create it

Signature UpdateFeature()

Returns:
Return type:NXOpen.Features.Feature

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR cam_base (“CAM BASE”) OR geometric_tol (“GDT”) OR insp_programming (“INSPECTION PROGRAMMING”)

Validate

DatumPlaneBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.